GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/amd64-bsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include <signal.h>`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include "amd64-tdep.h"`
`#include "amd64-nat.h"`
`#include "x86-bsd-nat.h"`
`#include "inf-ptrace.h"`

Go to the source code of this file.

## Functions
static void | amd64bsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
static void | amd64bsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regnum)
struct target_ops * | amd64bsd_target (void)

## Function Documentation

## ◆ amd64bsd_fetch_inferior_registers()

static void amd64bsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 42 of file amd64-bsd-nat.c.

References _, AMD64_FSBASE_REGNUM, AMD64_GSBASE_REGNUM, amd64_native_gregset_supplies_p(), amd64_supply_fxsave(), amd64_supply_native_gregset(), amd64_supply_xsave(), regcache::arch(), get_ptrace_pid(), perror_with_name(), pid, ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), regcache_raw_supply(), regnum, and x86bsd_xsave_len.

Referenced by amd64bsd_target().

## ◆ amd64bsd_store_inferior_registers()

static void amd64bsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| static

Definition at line 116 of file amd64-bsd-nat.c.

References _, amd64_collect_fxsave(), amd64_collect_native_gregset(), amd64_collect_xsave(), AMD64_FSBASE_REGNUM, AMD64_GSBASE_REGNUM, amd64_native_gregset_supplies_p(), regcache::arch(), get_ptrace_pid(), perror_with_name(), pid, ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), regcache_raw_collect(), regnum, and x86bsd_xsave_len.

Referenced by amd64bsd_target().

## ◆ amd64bsd_target()

struct target_ops* amd64bsd_target | ( | void |  | ) |

Definition at line 201 of file amd64-bsd-nat.c.

References amd64bsd_fetch_inferior_registers(), amd64bsd_store_inferior_registers(), target_ops::to_fetch_registers, target_ops::to_store_registers, and x86bsd_target().

Referenced by _initialize_amd64fbsd_nat(), _initialize_amd64nbsd_nat(), and _initialize_amd64obsd_nat().